let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const clearPanel = async (
  zoneUuid: string,
  organization: string,
  panelName: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/panel/clear`, {
      method: "PATCH",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ organization, zoneUuid, panelName }),
    });

    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }


    if (!response.ok) {
      console.error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to clean pannel");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
